*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: jet;
}
html{
    scroll-behavior: smooth;
}
body{
    overflow-x: hidden;
}

/* ---------------------------------------------------------fuentes--------------------------------------------------- */
@font-face{
    font-family: jet-bold;
    src: url("../fonts/Jet-Bold.ttf");
}
@font-face{
    font-family: jet-light;
    src: url("../fonts/Jet-Light.ttf");
}
@font-face{
    font-family: jet;
    src: url("../fonts/Jet.ttf"); 
}
@font-face{
    font-family: jet-black;
    src: url("../fonts/Jet-Black.ttf");
}

.tittles{
    font-family: jet-black;
    color: white;
    font-size: 3rem;
}
.light{
    font-family: jet-light;
    color: white;
}

/* --------------------------------------------------------estilos del video------------------------------------------ */
.video-section{
    height: 100vh;
}
.video-int{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    align-items: center;
}
.video-container{
    /* border: solid black; */
    width: fit-content;
    height: fit-content;
    color: black;
}
#v-c-1{
    width: 600px;
    background-color: white;
    z-index: 1;
    box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.096);
    padding: 25px;
    height: 80px;
    text-align: center;
    transform: translateY(40px);
}
.typed{
    color: #ff0000;
}
.video{
    width: 800px;
    border-radius: 10px;
    margin: 5px;
}
.text-hb H2{
    font-family: jet-black;
}

/* ----------------------------------------------------estilos del about------------------------------------------ */
.about_section{
    height: fit-content;
    width: 100%;
}
.tittle_about{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 20vh;
}
.tittle_int h2{
    font-family: jet-black;
    color: #ff0000;
}
.container_tittle{
    width: 70%;
}
.tittle_int{
    width: 100%;
    text-align: center;
}
.values{
    display: grid;
    grid-template-columns: 28% 28% 28%;
    justify-content: center;
    gap: 50px;
    align-items: center;
    height: 70vh;
}
.value{
    height: fit-content;
    position: relative;
    background-color: aliceblue;
    transition: .3s;
    width: 100%;
}
.value:hover{
    border-radius: 15px;
    box-shadow: 0 0 30px 3px rgba(0, 0, 0, 0.096);
    transition: .3s;
}
.value img{
    width: 100px;
    position: absolute;
    left: 50%;
    right: 50%;
    transform: translate(-50%, -50%);
}
.value_container{
    width: 90%;
    height: fit-content;
    text-align: center;
    margin: 30% auto;
}
.value_container h3{
    margin: auto;
}
#know{
    margin: auto auto 50px auto;
}
/* ------------------------------------------------------estilos sede-section---------------------------------------- */
.sede-texts{
    width: 100%;
    height: 40vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url("../img/galeria/combat-limpieza.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    will-change: scroll-position;
}
.info1-sede{
    width: 70%;
    text-align: center;
}

.sede{
    height: 100vh;
}

/* --------------------------------------------------------servicios--------------------------------- */
.servicios{
    /* border: solid black; */
    height: fit-content;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 20px;
    background-color: white;
    color: black;
}
.caja-title{
    width: 60%;
    text-align: center;
}
#t1{
    letter-spacing: 7px;
    font-family: jet-light;
    font-size: 1rem;
}
#t2{
    font-family: jet-black;
    font-size: 2rem;
}
.servi-t{
    color: #ff0000;
}

.servicios-grid{
    margin-top: 20px;
    margin-bottom: 20px;
    /* border: solid white; */
    width: 100%; 
    height: fit-content;
    display: grid;
    grid-template-columns: 30% 30% 30%;
    gap: 20px;
    justify-content: center;
    background-color: transparent;
}
.serv-int-img{
    width: 50%;
    margin: auto;
}
.serv-img{
    width: 100%;
    margin: auto;
    transition: .3s;
}
.serv-int{
    padding: 20px;
}
.serv{
    backdrop-filter: blur(10px);
    transition: .5s;
}
.serv:hover{
    transition: .5s;
    box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.096);
}
.serv:hover .serv-img{
    transition: .3s;
    border-radius: 10px;
}
.stars{
    margin-top: 10px;
    margin-bottom: 10px;
    color: #ff0000;
}
.buttom{
    margin: 20px;
    width: 30%;
    height: 50px;
}
.boton{
    border: none;
    width: 100%;
    height: 100%;
    background-color: #231f20;
    transition: .3s;
}
.boton a{
    font-family: jet-black;
    text-decoration: none;
    font-size: 2rem;
    color: white;
}
.buttom:hover .boton{
    border-radius: 10px;
    transition: .3s;
    animation: tt .2s;
    animation-iteration-count: 2;
}
@keyframes tt{
    0%{
        transform: rotate(0);
    }
    25%{
        transform: rotate(5deg);
        transition: .2s;
    }
    50%{
        transform: rotate(0);

    }
    75%{
        transform: rotate(-5deg);
        transition: .2s;
    }
    100%{
        transform: rotate(0);
    }
}

/* ------------------------------------------------------estilos de la ubicacion---------------------------------------------- */
.ubicacion{
    /* border: solid black; */
    height: fit-content;
    width: 100%;
}
.tittle-ubi{
    /* border: solid black; */
    height: fit-content;
    width: 100%;
    padding-top: 40px;
    padding-bottom: 50px;
    /* background-image: url("../img/ubication.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    will-change: scroll-position; */

}
.info-ubi{
    backdrop-filter: blur(22px);
    padding: 10px;
    width: fit-content;
    margin: 0 auto 15px auto;
}
.h4-mayor{
    font-family: jet-light;
    font-size: 2rem;
    letter-spacing: 10px;
    text-align: center;
    color: #ff0000;
}
.h4-menor{
    font-family: jet-black;
    font-size: 1.5rem;
    text-align: center;
    color: #ff0000;
}
.map-imgs{
    display: flex;
    justify-content: center;
    align-items: center;
    height: fit-content;
}

.imgs{
    height: fit-content;
    width: fit-content;
    display: grid;
    grid-template-columns: 40% 40%;
    justify-content: center;
    gap: 80px ;
}
.imgs-a{
    width: 200px;
    /* border: solid black; */
}
.g-map{
    width: 85%;
    height: 350px;
    border-radius: 10px;
}


/* ----------------------------------------------------estilos del fotter------------------------------------------------ */
.fotter{
    /* border: solid black; */
    height: 40vh;
    width: 100%;
    background-color: #171516;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white ;
}
.fotter-flex{
    /* border: solid blue; */
    width: 98%;
    height: 98%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.fot_int{
    /* border: solid yellow; */
    width: 25%;
    height: 100%;

}
.mini_about,
.mini_contact,
.mini_redes,
.mini_services{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    /* align-items: flex-start; */
    font-family: jet-light;
    /* border: solid blue; */
}

.mini_contact,
.mini_redes,
.mini_services{
    justify-content: flex-start;
    padding-top: 30px;
}
.info_contact_fot{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    /* border: solid yellow; */

}
.info_contact_fot a{
    text-decoration: none;
    color: white;
    transition: .2s;
}
.info_contact_fot a:hover{
    border-bottom: 1px solid #d7c6ac;
    transition: .2s;
    color: #d7c6ac;
}
#rightpos{
    align-items: center;
}
#rightpos a{
    width: 50%;
}
#about_img{
    width: 100%;
}
.icon_fot{
    width: 40px;
    height: auto;
}
.boxi{
    gap: 10px;
    display: flex;
    flex-direction: column;
    
}

@media screen and (max-width: 1030px){
    .span-none{
        display: none;
    }
    .nav_box{
        display: none;
    }
    .nav-box-ham{
        display: block;
    }
    .fotter{
        height: fit-content;
    }
    .fotter-flex{
        flex-direction: column;
    }
    .fot_int{
        width: 80%;
    }
    .video{
        width: 90%;
        margin-left: 5%;
    }
    .values{
        grid-template-columns: 70%;
        height: fit-content;
        margin-top: 50px;
    }
    .servicios-grid{
        grid-template-columns: 50%;
    }
    .buttom{
        width: 50%;
    }
    .mini_about{
        width: fit-content;
    }
    #about_img{
        margin-left: 10%;
    }
}
@media screen and (max-width: 430px){
    #v-c-1{
        width: fit-content;
    }
    .athens{
        display: none;
    }
    .servicios-grid{
        grid-template-columns: 80%;
    }
    .buttom{
        width: 90%;
    }
    body{
        overflow-x: hidden;
    }
    .text-hb{
        text-align: center;
    }
}
